#!/usr/bin/python
import sys
import os

from PyQt4.QtCore import *
from PyQt4.QtGui import *
from PyQt4.QtXml import *
from PyQt4 import QtCore, QtGui, QtXml
from xml_example import Ui_Form


class XmlExample (QWidget, Ui_Form):
	def __init__(self, parent = None):
		QWidget.__init__(self, parent)
		self.setupUi(self)
		self.connect(self.pushButton, SIGNAL("clicked()"), self.saveData)
		self.readData()
	def saveData(self):
		self.doc = QDomDocument("XMLEXAMPLE")
		self.root = self.doc.createElement("Settings")
		self.doc.appendChild(self.root)
	
		self.tag = self.doc.createElement("Selection")
		self.root.appendChild(self.tag)
		
		self.t = self.doc.createTextNode(QVariant(self.radioButton.isChecked()).toString())
		self.tag.appendChild(self.t)
		
		self.tag = self.doc.createElement("Option1")
		self.root.appendChild(self.tag)
		self.t = self.doc.createTextNode(QVariant(self.checkBox.isChecked()).toString())
		self.tag.appendChild(self.t)
		
		self.tag = self.doc.createElement("Option2")
		self.root.appendChild(self.tag)
		self.t = self.doc.createTextNode(QVariant(self.checkBox_2.isChecked()).toString())
		self.tag.appendChild(self.t)
		
		self.f = QtCore.QFile('example.xml')
		self.f.open(QIODevice.WriteOnly)
		self.f.write(self.doc.toString().toAscii())
		self.f.close()
	def readData(self):
		self.yes = True
		self.option1 = False
		self.option2 = True
		
		self.f = QFile('example.xml')
		self.f.open(QIODevice.ReadOnly)
		
		self.doc = QDomDocument("XMLEXAMPLE")
		self.doc.setContent(self.f)
		
		self.f.close()
		
		self.docElem = self.doc.documentElement()
	
		self.n = self.docElem.firstChild()
		while(self.n.isNull() == False):
			self.e = self.n.toElement() # try to convert the node to an element.
			
			if(self.e.isNull() == False):
				if(self.e.tagName().contains('Selection')):
					self.yes = QVariant(self.e.text()).toBool()
				elif(self.e.tagName().contains('Option1')):
					self.option1 = QVariant(self.e.text()).toBool()
				elif(self.e.tagName().contains('Option2')):
					self.option2 = QVariant(self.e.text()).toBool()
			self.n = self.n.nextSibling()
	
		self.radioButton.setChecked(self.yes)
		self.radioButton_2.setChecked(not self.yes)
		self.checkBox.setChecked(self.option1)
		self.checkBox_2.setChecked(self.option2)
		